> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Import

> A `GET` to the `/imports/{importId}` endpoint allows your application to retrieve a specific import run.



## OpenAPI

````yaml get /v3/imports/{import}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/imports/{import}:
    get:
      tags:
        - Import
      summary: Read Import
      description: >-
        A `GET` to the `/imports/{importId}` endpoint allows your application to
        retrieve a specific import run.
      operationId: imports.show
      parameters:
        - name: import
          in: path
          required: true
          description: The import ID
          schema:
            type: integer
      responses:
        '200':
          description: '`Import`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Import'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Import:
      type: object
      properties:
        id:
          type: integer
        status:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        count:
          type: integer
        failed_count:
          type: string
        progress:
          type: string
        issued_at:
          type: string
        condition:
          type:
            - array
            - 'null'
          items: {}
        run_condition_on_issue_date:
          type:
            - boolean
            - 'null'
        exclude_if_related_exists:
          type:
            - boolean
            - 'null'
        use_condition:
          type: boolean
        mapping_fields:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        importable_type:
          type:
            - string
            - 'null'
        importable_id:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - status
        - name
        - count
        - failed_count
        - progress
        - issued_at
        - condition
        - run_condition_on_issue_date
        - exclude_if_related_exists
        - use_condition
        - mapping_fields
        - meta
        - importable_type
        - importable_id
        - created_at
        - updated_at
      title: Import
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````